Vector stores
Create a vector store file batch
Creates a vector store file batch from the supplied request.
Pfadparameter
vector_store_id
string
Erforderlich
The ID of the vector store for which to create a File Batch.
Anforderungstext
The request body.
file_ids
string[]
A list of File IDs that the vector store should use. Useful for tools like file_search that can access files. If attributes or chunking_strategy are provided, they will be applied to all files in the batch. The maximum batch size is 2000 files. This endpoint is recommended for multi-file ingestion and helps reduce per-vector-store write request pressure. Mutually exclusive with files.
files
OpenAI.CreateVectorStoreFileRequest[]
A list of objects that each include a file_id plus optional attributes or chunking_strategy. Use this when you need to override metadata for specific files. The global attributes or chunking_strategy will be ignored and must be specified for each file. The maximum batch size is 2000 files. This endpoint is recommended for multi-file ingestion and helps reduce per-vector-store write request pressure. Mutually exclusive with file_ids.
chunking_strategy
auto | static
The chunking strategy used to chunk the file(s). If not set, will use the auto strategy.
auto
OpenAI.AutoChunkingStrategyRequestParam
The default strategy. This strategy currently uses a max_chunk_size_tokens of 800 and chunk_overlap_tokens of 400.
type
enum
Erforderlich
Always auto.
static
OpenAI.StaticChunkingStrategyRequestParam
Customize your own chunking strategy by setting chunk size and chunk overlap.
type
enum
Erforderlich
Always static.
static
OpenAI.StaticChunkingStrategy
Erforderlich
attributes
OpenAI.VectorStoreFileAttributes | null
Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format, and querying for objects via API or the dashboard. Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters, booleans, or numbers.
[key: string]
string | OpenAI.numeric | boolean
Antworten
The request has succeeded.
Text
id
string
Erforderlich
The identifier, which can be referenced in API endpoints.
object
enum
Erforderlich
The object type, which is always vector_store.file_batch.
created_at
integer
Erforderlich
The Unix timestamp (in seconds) for when the vector store files batch was created.
vector_store_id
string
Erforderlich
The ID of the vector store that the File is attached to.
status
enum
Erforderlich
The status of the vector store files batch, which can be either in_progress, completed, cancelled or failed.
file_counts
OpenAI.VectorStoreFileBatchObjectFileCounts
Erforderlich
Anfordern
curl https://api.openai.com/v1/vector_stores/vs_abc123/file_batches \
-H "Authorization: Bearer $OPENAI_API_KEY" \
-H "Content-Type: application/json \
-H "OpenAI-Beta: assistants=v2" \
-d '{
"files": [
{
"file_id": "file-abc123",
"attributes": {"category": "finance"}
},
{
"file_id": "file-abc456",
"chunking_strategy": {
"type": "static",
"max_chunk_size_tokens": 1200,
"chunk_overlap_tokens": 200
}
}
]
}'
import os
from openai import OpenAI
client = OpenAI(
api_key=os.environ.get("OPENAI_API_KEY"), # This is the default and can be omitted
)
vector_store_file_batch = client.vector_stores.file_batches.create(
vector_store_id="vs_abc123",
)
print(vector_store_file_batch.id)
import OpenAI from "openai";
const openai = new OpenAI();
async function main() {
const myVectorStoreFileBatch = await openai.vectorStores.fileBatches.create(
"vs_abc123",
{
files: [
{
file_id: "file-abc123",
attributes: { category: "finance" },
},
{
file_id: "file-abc456",
chunking_strategy: {
type: "static",
max_chunk_size_tokens: 1200,
chunk_overlap_tokens: 200,
},
},
]
}
);
console.log(myVectorStoreFileBatch);
}
main();
import OpenAI from 'openai';
const client = new OpenAI({
apiKey: process.env['OPENAI_API_KEY'], // This is the default and can be omitted
});
const vectorStoreFileBatch = await client.vectorStores.fileBatches.create('vs_abc123');
console.log(vectorStoreFileBatch.id);
package main
import (
"context"
"fmt"
"github.com/openai/openai-go"
"github.com/openai/openai-go/option"
)
func main() {
client := openai.NewClient(
option.WithAPIKey("My API Key"),
)
vectorStoreFileBatch, err := client.VectorStores.FileBatches.New(
context.TODO(),
"vs_abc123",
openai.VectorStoreFileBatchNewParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v
", vectorStoreFileBatch.ID)
}
package com.openai.example;
import com.openai.client.OpenAIClient;
import com.openai.client.okhttp.OpenAIOkHttpClient;
import com.openai.models.vectorstores.filebatches.FileBatchCreateParams;
import com.openai.models.vectorstores.filebatches.VectorStoreFileBatch;
public final class Main {
private Main() {}
public static void main(String[] args) {
OpenAIClient client = OpenAIOkHttpClient.fromEnv();
VectorStoreFileBatch vectorStoreFileBatch = client.vectorStores().fileBatches().create("vs_abc123");
}
}
require "openai"
openai = OpenAI::Client.new(api_key: "My API Key")
vector_store_file_batch = openai.vector_stores.file_batches.create("vs_abc123")
puts(vector_store_file_batch)
Antwort
{
"id": "vsfb_abc123",
"object": "vector_store.file_batch",
"created_at": 1699061776,
"vector_store_id": "vs_abc123",
"status": "in_progress",
"file_counts": {
"in_progress": 1,
"completed": 1,
"failed": 0,
"cancelled": 0,
"total": 0,
}
}